version: '3.9'
name: 'bachelor_demo'

services:
  scene:
    image: scene_bachelor_demo
    container_name: scene_bachelor_demo
    environment:
      - DISPLAY
      - XAUTORITY
      - QT_X11_NO_MITSHM=1
      - GUI=true
    ipc: host
    stdin_open: true
    tty: true
    networks:
      - general
    volumes:
      - /tmp/.X11-unix:/tmp/.X11-unix:rw
      - /etc/localtime:/etc/localtime:ro
      - /dev:/dev

  problem:
    build:
      context: ./
      args:
        BASE_IMG: registry.gitlab.com/beerlab/iprofi2023/demo/bachelor/base:ubuntu-latest
    image: problem-bachelor-demo-img
    container_name: problem_bachelor_demo
    stdin_open: true
    tty: true
    environment:
      - ROS_MASTER_URI=http://scene:11311
      - DISPLAY
      - XAUTORITY
      - QT_X11_NO_MITSHM=1
      - GUI=true
    depends_on: 
      scene:
        condition: service_healthy
    networks:
      - general
    ipc: host
    volumes:
      - /tmp/.X11-unix:/tmp/.X11-unix:rw
      - /etc/localtime:/etc/localtime:ro
      - /dev:/dev
      - ./:/ros_ws/src/bachelor

networks:
  general:
    attachable: true
    internal: false
    driver: bridge
